commit 34999e0f5c86fe88730a28ff368cd07d9d71c37f
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Tue Aug 26 02:27:07 2025

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 1c0647d4a27..38bb0067bb9 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,13 @@
+2025-08-25  Xi Ruoyao  <xry111@xry111.site>
+
+	Backported from master:
+	2025-08-25  Xi Ruoyao  <xry111@xry111.site>
+
+	PR target/121634
+	* config/loongarch/simd.md (simd_maddw_evod_<mode>_<su>): Use
+	WVEC_HALF instead of WVEC for the mode of the sign_extend for
+	the rhs of multiplication.
+
 2025-08-22  Sebastian Huber  <sebastian.huber@embedded-brains.de>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 33e9bdf8336..3d416de541b 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20250825
+20250826
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index afa7f189c7f..0b27c56b6b1 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2025-08-25  Xi Ruoyao  <xry111@xry111.site>
+
+	Backported from master:
+	2025-08-25  Xi Ruoyao  <xry111@xry111.site>
+
+	PR target/121634
+	* gcc.target/loongarch/pr121634.c: New test.
+
 2025-08-20  Vineet Gupta  <vineetg@rivosinc.com>
 
 	PR target/121534

